# FoundationClasses
TKAdvTools
Materials

# Materials_SequenceNodeOfMtsSequence Class Reference

`#include <Materials_SequenceNodeOfMtsSequence.hxx>`

Inheritance diagram for Materials_SequenceNodeOfMtsSequence:

[legend]

## Public Member Functions

| Materials_SequenceNodeOfMtsSequence (const Handle(Materials_Material)&I, const TCollection_SeqNodePtr &n, const TCollection_SeqNodePtr &p)
Handle_Materials_Material & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Materials_Material | myValue

## Constructor & Destructor Documentation

Materials_SequenceNodeOfMtsSequence::Materials_SequenceNodeOfMtsSequence | ( | const Handle(Materials_Material)& | I,
|  | const TCollection_SeqNodePtr & | n,
|  | const TCollection_SeqNodePtr & | p
| ) |

## Member Function Documentation

Standard_EXPORT const Materials_SequenceNodeOfMtsSequence::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_SeqNode.

Handle_Materials_Material& Materials_SequenceNodeOfMtsSequence::Value | ( |  | ) | const

## Field Documentation

Handle_Materials_Material Materials_SequenceNodeOfMtsSequence::myValue `[private]`

The documentation for this class was generated from the following file:

- Materials_SequenceNodeOfMtsSequence.hxx